'use strict';

require('babel-polyfill');

var _unitTestsAuth = require('./unitTestsAuth');

var _unitTestsProfiles = require('./unitTestsProfiles');

var _unitTestsProofs = require('./unitTestsProofs');

var _unitTestsUtils = require('./unitTestsUtils');

var _unitTestsEncryption = require('./unitTestsEncryption');

var _unitTestsStorage = require('./unitTestsStorage');

var _unitTestsOperations = require('./unitTestsOperations');

var _unitTestsWallet = require('./unitTestsWallet');

var _unitTestsErrors = require('./unitTestsErrors');

var _unitTestsNetwork = require('./unitTestsNetwork');

// Utils tests
(0, _unitTestsUtils.runUtilsTests)();

// Auth Tests
(0, _unitTestsAuth.runAuthTests)();

// Profiles Tests
(0, _unitTestsProfiles.runProfilesUnitTests)();

// Proofs Tests
(0, _unitTestsProofs.runProofsUnitTests)();

// Encryption Tests
(0, _unitTestsEncryption.runEncryptionTests)();

// Storage Tests
(0, _unitTestsStorage.runStorageTests)();

// Operations Tests
(0, _unitTestsOperations.runOperationsTests)();

(0, _unitTestsWallet.runWalletTests)();

// Errors Tests
(0, _unitTestsErrors.runErrorsTests)();

// network tests 
(0, _unitTestsNetwork.runNetworkTests)();